## com.imcode.imcms.servlet.superadmin
Class LinkCheck.Link

    java.lang.Object
      com.imcode.imcms.servlet.superadmin.LinkCheck.Link

Direct Known Subclasses:
  LinkCheck.TextDocumentElementLink, LinkCheck.UrlDocumentLink

Enclosing class:
  LinkCheck

    public abstract static class LinkCheck.Link

extends java.lang.Object

Constructor Summary
`LinkCheck.Link(javax.servlet.http.HttpServletRequest request)`

Method Summary
`java.lang.String` `fixSchemeLessUrl()`
`abstract DocumentDomainObject` `getDocument()`
`abstract java.lang.String` `getUrl()`
`boolean` `isCheckable()`
`boolean` `isHostFound()`
`boolean` `isHostReachable()`
`boolean` `isOk()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkCheck.Link

    public LinkCheck.Link(javax.servlet.http.HttpServletRequest request)

Method Detail

### getUrl

    public abstract java.lang.String getUrl()

### isCheckable

    public boolean isCheckable()

### isHostFound

    public boolean isHostFound()

### isHostReachable

    public boolean isHostReachable()

### isOk

    public boolean isOk()

### fixSchemeLessUrl

    public java.lang.String fixSchemeLessUrl()

### getDocument

    public abstract DocumentDomainObject getDocument()